<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");


/*
 * GUI
 */
require_once("db_update.php");


opentable($locale['PDP016']);
echo $pdp_admin_menu;


// some statics
echo "
<b>".$locale['PDP004'].":</b> ".dbcount("(*)", "pdp_downloads", "")."<br>
<b>".$locale['PDP820'].":</b> ".dbcount("(*)", "pdp_cats", "")."<br>
<b>".$locale['PDP800'].":</b> ".dbcount("(*)", "pdp_licenses", "")."<br>
<b>".$locale['PDP019'].":</b> ".dbcount("(*)", "pdp_files", "");





/*
 * upload dirs are not writeable
 */
echo "<hr><b>".$locale['PDP840'].":</b><ul>";
echo "<li>".$locale['PDP841'].": ";
if(is_dir($pdp_settings['upload_image'])
	&& is_writeable($pdp_settings['upload_image'])) {
	echo $locale['PDP043'];
} else {
	echo $locale['PDP844'];
}
echo "</li>\n";
echo "<li>".$locale['PDP842'].": ";
if(is_dir($pdp_settings['upload_file'])
	&& is_writeable($pdp_settings['upload_file'])) {
	echo $locale['PDP043'];
} else {
	echo $locale['PDP844'];
}
echo "</li>\n";
echo "</ul>\n";


/*
 * need admin intervention
 */
echo "<hr><b>".$locale['PDP753'].":</b>"
	." (<a href='downloads.php?show=inactive'>"
	.$locale['PDP849']."</a>)<ul>\n";
$query_id = dbquery("SELECT dl_id, dl_name"
	." FROM ".DB_PREFIX."pdp_downloads"
	." WHERE dl_status='".PDP_PRO_OFF."'"
	." ORDER BY dl_name ASC");
while($data = dbarray($query_id)) {
	echo "<li><a href='../download.php?did=".$data['dl_id']."'>"
		.$data['dl_name']."</a></li>\n";
}
if(!dbrows($query_id)) {
	echo "<li>".$locale['PDP845']."</li>\n";
}
echo "</ul>\n";


/*
 * new-downloads.
 */
echo "<hr><b>".$locale['PDP843'].":</b>\n<ul>\n";
$query_id = dbquery("SELECT dl_id, dl_name, dl_ctime, user_name, dl.user_id"
	." FROM ".DB_PREFIX."pdp_downloads AS dl"
	." LEFT JOIN ".DB_PREFIX."users USING(user_id)"
	." WHERE dl_status='".PDP_PRO_NEW."'"
	." ORDER BY dl_name ASC");
while($data = dbarray($query_id)) {
	echo "<li><a href='../download.php?did=".$data['dl_id']."'>"
		.$data['dl_name']."</a> (<a href='../profile.php"
			."?id=".$data['user_id']."'>"
			.$data['user_name']."</a> - "
			.$locale['PDP851'].": "
			.showdate("shortdate", $data['dl_ctime']).")</li>\n";
}
if(!dbrows($query_id)) {
	echo "<li>".$locale['PDP845']."</li>\n";
}
echo "</ul>\n";


/*
 * some files are missing
 */
$query_id = dbquery("SELECT dl_name, dl_id, dl_broken_count"
	." FROM ".DB_PREFIX."pdp_downloads"
	." WHERE dl_broken_count>0"
	." ORDER BY dl_name ASC");
echo "<hr><b>".$locale['PDP848'].":</b>"
	." (<a href='downloads.php?show=broken'>"
	.$locale['PDP850']."</a>)<ul>\n";
while($data = dbarray($query_id)) {
	echo "<li><a href='../edit_files.php?did=".$data['dl_id']."'>"
		.$data['dl_name']."</a> (".$data['dl_broken_count'].")</li>\n";
}
if(!dbrows($query_id)) {
	echo "<li>".$locale['PDP845']."</li>\n";
}
echo "</ul>\n";


/*
 * import
 */
echo "<hr><a href='import.php'>".$locale['PDP860']."</a>\n";


closetable();


require_once(BASEDIR."footer.php");
?>
